/*
    This file is part of Gabriel's Qt/QML CardBoard Sample (or short GQQCS)

    GQQCS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    GQQCS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    Updated: 07/08/2015 by: Gabriel F.
*/

#include <QGuiApplication>
#include <QResource>
#include "generalqmlengine.h"
#include <QFileInfo>

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    GeneralQMLEngine engine;
    engine.customLoadQML(QUrl(QStringLiteral("qrc:/qml/main.qml")));
    engine.connect(&app,SIGNAL(applicationStateChanged(Qt::ApplicationState)),&engine,SLOT(applicationStateChanged(Qt::ApplicationState)));

    return app.exec();
}
