/*
    This file is part of Gabriel's Qt/QML CardBoard Sample (or short GQQCS)

    GQQCS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    GQQCS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    Updated: 07/08/2015 by: Gabriel F.
*/

#ifndef GENERALQMLENGINE_H
#define GENERALQMLENGINE_H

#include <QObject>
#include <QQmlApplicationEngine>
#include <QQuickItem>

class GeneralQMLEngine : public QQmlApplicationEngine
{
    Q_OBJECT
public:
    GeneralQMLEngine(QQuickItem *parent = 0);
    void customLoadQML(const QUrl &url);

private slots:
    void applicationStateChanged(Qt::ApplicationState state);

};

#endif // PETRECQMLENGINE_H
